Displaying 20 results from an estimated 26 matches for "xdigit".
Did you mean:
digit
2019 Apr 16
0
[PATCH v2v v2 2/2] v2v: Copy static IP address information over for Windows guests (RHBZ#1626503).
...b/v2v/cmdline.ml
@@ -41,11 +41,12 @@ type cmdline = {
print_estimate : bool;
print_source : bool;
root_choice : root_choice;
+ static_ips : static_ip list;
ks : Tools_utils.key_store;
}
(* Matches --mac command line parameters. *)
-let mac_re = PCRE.compile ~anchored:true "([[:xdigit:]]{2}:[[:xdigit:]]{2}:[[:xdigit:]]{2}:[[:xdigit:]]{2}:[[:xdigit:]]{2}:[[:xdigit:]]{2}):(network|bridge):(.*)"
+let mac_re = PCRE.compile ~anchored:true "([[:xdigit:]]{2}:[[:xdigit:]]{2}:[[:xdigit:]]{2}:[[:xdigit:]]{2}:[[:xdigit:]]{2}:[[:xdigit:]]{2}):(network|bridge|ip):(.*)"
let...
2019 Jul 11
2
[PATCH v3 0/2] v2v: Copy static IP address information over for Windows guests
Patch v2 was here:
https://www.redhat.com/archives/libguestfs/2019-April/thread.html#00114
There's no change here except that I've rebased it against the latest
master branch and retested. There was a comment by Pino
(https://www.redhat.com/archives/libguestfs/2019-April/msg00117.html)
which isn't incorporated into this patch.
Rich.
2010 May 04
1
Bug#580260: logcheck-database: dkim-filter needs tweak
...filter
--- logcheck-1.3.8.orig/rulefiles/linux/ignore.d.server/dkim-filter 2008-05-22 04:20:58.000000000 -0400
+++ logcheck-1.3.8/rulefiles/linux/ignore.d.server/dkim-filter 2010-05-04 16:32:31.000000000 -0400
@@ -1,2 +1,2 @@
-^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ dkim-filter\[[[:digit:]]+\]: [[:xdigit:]]{10} SSL error:04077068:rsa routines:RSA_verify:bad signature$
-^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ dkim-filter\[[[:digit:]]+\]: [[:xdigit:]]{10}: bad signature data$
+^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ dkim-filter\[[[:digit:]]+\]: [[:xdigit:]]{11} SSL error:04077068:rsa routines:RSA_v...
2019 Apr 16
6
[PATCH v2v v2 2/2] v2v: Copy static IP address information.
Essentially identical to v1 except that it now uses (overloads?)
the --mac option to supply this data.
Rich.
2006 Jul 07
0
Bug#377276: "Did not receive identification string" warning reappeared
...\[[0-9]+\]: fatal: Timeout before authentication for [:[:alnum:].]+$
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ sshd\[[0-9]+\]: nss_ldap: reconnect(ing|ed) to LDAP server(\.\.\.| after [0-9]+ attempt\(s\))$
-^\w{3} [ :0-9]{11} [._[:alnum:]-]+ sshd\[[0-9]+\]: Did not receive identification string from ([:[:xdigit:].]|UNKNOWN)+$
+^\w{3} [ :0-9]{11} [._[:alnum:]-]+ sshd\[[0-9]+\]: Did not receive identification string from ([:[:xdigit:].]+|UNKNOWN)+$
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ sshd\[[0-9]+\]: Authorized to [^[:space:]]+, krb5 principal [^[:space:]]+ \(krb5_kuserok\)$
^\w{3} [ :0-9]{11} [._[:alnum:]-...
2007 Sep 26
1
Bug#444097: /etc/logcheck/ignore.d.server/ddclient: 2 rules to get you started
Package: logcheck
Version: 1.2.62
Severity: wishlist
Here are two rules for ddclient, a client for dynamic IP services such
as DynDNS or DynIP:
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ ddclient\[[[:digit:]]+\]: SUCCESS: updating [._[:alnum:]-]+: good: IP address set to [:[:xdigit:].]+$
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ ddclient\[[[:digit:]]+\]: WARNING: forcing update of [._[:alnum:]-]+ from [:[:xdigit:].]+ to [:[:xdigit:].]+; [[:digit:]]+ days since last update on \w{3} \w{3} [ :0-9]{16}\.$
Looking at the code, the first rule should match most (though not all)
servic...
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...INT QUIT TERM EXIT ERR
- echo $0: cleanup: exit code $status
-
kill $pid
rm -f $files
-
- exit $status
}
-trap cleanup INT QUIT TERM EXIT ERR
+cleanup_fn cleanup
qemu-io -r -f raw 'nbd+unix://?socket=data-base64.sock' \
-c 'r -v 0 512' | grep -E '^[[:xdigit:]]+:' > data-base64.out
diff --git a/tests/test-data-raw.sh b/tests/test-data-raw.sh
index c6652b7..00d4fb1 100755
--- a/tests/test-data-raw.sh
+++ b/tests/test-data-raw.sh
@@ -33,6 +33,7 @@
# Test the data plugin with raw= parameter.
+source ./functions.sh
set -e
set -x
@@ -66,16 +...
2007 Sep 23
0
Bug#443171: [PATCH] ignore acpid clients disconnecting
...nnected from [[:digit:]]+\[[[:digit:]]+:[[:digit:]]+\]$
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ acpid: notifying client [[:digit:]]+\[[[:digit:]]+:[[:digit:]]+\]$
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ acpid: executing action "/etc/acpi/(actions/){0,1}[[:alnum:]_]+\.sh( [[:lower:]/]+( [[:upper:]]+ [[:xdigit:]]{8} [[:xdigit:]]{8}){0,1}){0,1}"$
+^\w{3} [ :0-9]{11} [._[:alnum:]-]+ acpid: client has disconnected$
--
1.5.3.2
2007 Oct 03
1
Bug#445074: /etc/logcheck/ignore.d.server/ssh: Nasty PTR record
...a
hostname that looks just like an IP address. (For example, the address
206.251.174.31 currently maps back to the hostname "206.251.174.31".)
Here's a rule that filters out these unimportant messages:
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ sshd\[[0-9]+\]: Nasty PTR record "[:[:xdigit:].]+" is set up for [:[:xdigit:].]+, ignoring$
-- System Information:
Debian Release: lenny/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.21-2-k7 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8...
2008 Dec 25
1
Bug#509734: postfix: "submission" stats are not filtered out
Package: logcheck-database
Version: 1.2.54
/etc/logcheck/ignore.d.server/postfix specifies a filter rule to filter
out anvil statistic logging:
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ postfix/anvil\[[0-9]+\]: statistics:
max (message|recipient|connection) (count|rate) [/[:digit:]s]+ for
\(([.:[:xdigit:]]+)?(smtp(s)?|25|587):[.:[:xdigit:]]+\) at \w{3} [
:0-9]{11}$
If Postfix on port 587 is configured by the name 'submission' (which is
also used in /etc/services) that filter won't filter out statistics for
the anvil service, since it only matches on (smtp(s)?|25|587).
2010 May 17
1
Bug#582060: logcheck-database: bind network unreachable errors
...digit:]]{11} [._[:alnum:]-]+ named\[[[:digit:]]+\]: ((network|host) (unreachable|down)|connection refused|unexpected RCODE \((FORMERR|SERVFAIL|NXDOMAIN|NOTIMP|REFUSED|YXDOMAIN|YXRRSET|NXRRSET|NOTAUTH|NOTZONE|BADVERS|<rcode [[:digit:]]+>|[[:digit:]]+)\)) resolving '[^[:space:]]+': [.:[:xdigit:]]+#[[:digit:]]+$
The Lenny form of the syslog line would have been:
May 17 07:39:43 localhost named[2395]: network unreachable resolving '38.106.104.86.in-addr.arpa/PTR/IN': 2001:610:240:0:53::193#53
The Lenny BIND syslog line matches the rule. Apparently a BIND syslog
line format ch...
2019 Apr 09
1
[PATCH] v2v: Implement the --bandwidth* options to control network bandwidth.
This is built on top of the following patch series:
https://www.redhat.com/archives/libguestfs/2019-April/msg00054.html
Rich.
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html
v2:
- Fix tab vs spaces in configure.ac.
- To generate list of plugins, use printf instead of xargs.
- Use 'source ./functions.sh' instead of 'source functions'.
- functions.sh: Consistent quoting in foreach_plugin function.
- functions.sh: Change the contract of start_nbdkit so it
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...ill the nbdkit process on exit.
-cleanup ()
-{
- kill $pid
- rm -f $files
-}
-cleanup_fn cleanup
-
# Since we're reading the empty first partition, any read returns zeroes.
qemu-io -r -f raw 'nbd+unix://?socket=data-7E.sock' \
-c 'r -v 498 16' | grep -E '^[[:xdigit:]]+:' > data-7E.out
@@ -119,5 +98,3 @@ then
cat data-7E.out
exit 1
fi
-
-# The cleanup() function is called implicitly on exit.
diff --git a/tests/test-data-base64.sh b/tests/test-data-base64.sh
index 72cf743..cc53edf 100755
--- a/tests/test-data-base64.sh
+++ b/tests/test-data-ba...
2018 Jul 04
4
[PATCH 0/3] v2v: Implement MAC address to network/bridge mapping.
Deep in the discussion of this bug, unfortunately mostly in private
comments:
https://bugzilla.redhat.com/show_bug.cgi?id=1594515
we decided it'd be more flexible for RHV if we had a way to map
individual NICs to target networks and bridges. This can be done by
adding a new --mac option so you can specify the exact mapping you
need:
$ virt-v2v [...] \
--mac
2008 Jan 24
0
[PATCH] Re-enabled :port portion of "UDPv4 link" openvpn rule
...num:]-]+ (openvpn|ovpn-[._[:alnum:]-]+)\[[0-9]+\]: Preserving previous TUN/TAP instance: [[:alnum:]-]+$
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ (openvpn|ovpn-[._[:alnum:]-]+)\[[0-9]+\]:( ([-_.[:alnum:]]+/)?[.[:digit:]]{7,15}:[[:digit:]]{2,5})? (Local|Expected Remote) Options hash \(VER=V[34]\): '[[:xdigit:]]+'$
-^\w{3} [ :0-9]{11} [._[:alnum:]-]+ (openvpn|ovpn-[._[:alnum:]-]+)\[[0-9]+\]: UDPv4 link (local( \(bound\))?|remote): (\[undef\]|[._[:alnum:]-]+:[0-9]+)$
+^\w{3} [ :0-9]{11} [._[:alnum:]-]+ (openvpn|ovpn-[._[:alnum:]-]+)\[[0-9]+\]: UDPv4 link (local( \(bound\))?|remote): (\[undef\]|[._[:a...
2018 Aug 01
0
[PATCH v2 nbdkit 6/6] tests: truncate: Add two simple tests of the truncate filter.
...ncate1.pid)"
+
+# Kill the nbdkit process on exit.
+cleanup ()
+{
+ status=$?
+
+ kill $pid
+ rm -f $files
+
+ exit $status
+}
+trap cleanup INT QUIT TERM EXIT ERR
+
+qemu-io -r -f raw 'nbd+unix://?socket=truncate1.sock' \
+ -c 'r -v 0 512' | grep -E '^[[:xdigit:]]+:' > truncate1.out
+if [ "$(cat truncate1.out)" != "00000000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 08 ................
+00000010: 00 00 00 00 00 00 00 10 00 00 00 00 00 00 00 18 ................
+00000020: 00 00 00 00 00 00 00 20 00 00 00 00 00 00 00 28 .........
2015 May 07
2
Problems installing packages with R 3.2.0 on Linux Mint 17.1
...^
/usr/include/x86_64-linux-gnu/c++/4.8/bits/ctype_base.h:52:32: error:
?_ISdigit? was not declared in this scope
static const mask digit = _ISdigit;
^
/usr/include/x86_64-linux-gnu/c++/4.8/bits/ctype_base.h:53:33: error:
?_ISxdigit? was not declared in this scope
static const mask xdigit = _ISxdigit;
^
/usr/include/x86_64-linux-gnu/c++/4.8/bits/ctype_base.h:54:32: error:
?_ISspace? was not declared in this scope
static const mask space = _ISspace;...
2007 Oct 03
2
Bug#445072: /etc/logcheck/violations.ignore.d/logcheck-ssh: Failed password for ...
...Here's an updated version of the "Failed X for Y" rule with the
"illegal/invalid user" part made optional:
^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ sshd\[[[:digit:]]+\]: Failed (keyboard-interactive/pam|password|none) for (i(llegal|nvalid) user )?[^[:space:]]+ from ([:.[:xdigit:]]+|UNKNOWN|[-_.[:alnum:]]+) port [[:digit:]]{1,5} ssh2?$
-- System Information:
Debian Release: lenny/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.21-2-k7 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap...
2010 Jun 14
0
[PATCH] i.d.s/postfix: fixed policyd-weight patterns
...linux/ignore.d.server/postfix
@@ -29,10 +29,10 @@
^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ postfix/policy-spf\[[[:digit:]]+\]: : SPF pass: smtp_comment=.*: [.[:alnum:]]+ MX [.[:alnum:]]+ A [[:digit:]a-f.:]+, header_comment=[.[:alnum:]]+: domain of [%[:punct:][:alnum:]]+@[.[:alnum:]]+ designates [[:xdigit:].:]{3,39} as permitted sender$
^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ postfix/policy-spf\[[[:digit:]]+\]: decided action=DUNNO$
^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ postfix/policy-spf\[[[:digit:]]+\]: handler sender_permitted_from: DUNNO$
-^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ postfix/p...